#3843 closed enhancement (fixed)

Add CONFIGURE_DIRTY_MEMORY

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: config Version: 5
Severity: normal Keywords: qualification
Cc: Blocked By: #3838
Blocking:

Description

Change the BSP_DIRTY_MEMORY BSP option (build-time configuration) into a CONFIGURE_DIRTY_MEMORY application configuration option (link-time configuration).

Change History (6)

comment:1 Changed on 02/04/20 at 14:13:44 by Sebastian Huber

Should this be a boolean feature macro or should we allow to specify the byte used to dirty the memory?

#define CONFIGURE_DIRTY_MEMORY

vs.

#define CONFIGURE_DIRTY_MEMORY 0xab

comment:2 Changed on 02/10/20 at 08:00:28 by Sebastian Huber <sebastian.huber@…>

In 2d07ce6/rtems:

config: Add CONFIGURE_DIRTY_MEMORY

Replace the BSP_DIRTY_MEMORY BSP option with a CONFIGURE_DIRTY_MEMORY
configuration option.

Update #3843.

comment:3 Changed on 02/10/20 at 12:49:16 by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In e57733a/rtems-docs:

c-user: Document CONFIGURE_DIRTY_MEMORY

Close #3843.

comment:4 Changed on 02/11/20 at 06:27:17 by Sebastian Huber <sebastian.huber@…>

In 0cdd482/rtems-docs:

c-user: Clarify CONFIGURE_DIRTY_MEMORY

Update #3843.

comment:5 Changed on 02/11/20 at 06:34:22 by Sebastian Huber <sebastian.huber@…>

In c95724b/rtems-docs:

c-user: Use contents instead of content

The memory values are countable.

Update #3843.

comment:6 Changed on 06/23/21 at 07:16:03 by Sebastian Huber

Keywords: qualification added
Note: See TracTickets for help on using tickets.